//go:build !linux

package server

import (
	"errors"
	"fmt"
	"net"
	"runtime"
)

func init() {
	panic(fmt.Sprintf("%s is not a supported operating system", runtime.GOOS))
}

func BindInterface(ip net.IP, port int, dev string) (net.PacketConn, error) {
	return nil, errors.New("server: %s does not support binding to an interface")
}
